<template>
  <div id="logout">
    <div class="alert alert-warning">
      U staat op het punt om uit te loggen. Weet u het zeker?
    </div>
    <hr>
    <button @click="logout" class="btn btn-success btn-lg mr-2">Ja</button>
    <button @click="$router.history.go(-1)" class="btn btn-danger btn-lg">Nee</button>
    <hr>
  </div>
</template>

<script>

import {AUTH_LOGOUT} from "@/store/actions/auth";

export default {
  name: 'Logout',
  methods: {
    logout: function() {
      this.$store.dispatch(AUTH_LOGOUT).then(() => {
        this.$router.push('/login')
      })
    }
  }
}
</script>

<style scoped>
</style>
